﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace GridExcelExportRepaint
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			dsTest dTest = new dsTest();
			dTest.DataTable1.AddDataTable1Row("Line 1", 2.3m, 5.6m);
			dTest.DataTable1.AddDataTable1Row("Line 2", 4.2m, 5m);
			dTest.DataTable1.AddDataTable1Row("Line 3", 3m, 9.2m);
			dTest.DataTable1.AddDataTable1Row("Line 4", 7.6m, 5.3m);
			dTest.DataTable1.AddDataTable1Row("Line 5", 3.1m, 6.4m);
			dTest.DataTable1.AddDataTable1Row("Line 6", 2m, 8.6m);

			gridTest.DataSource = dTest;
		}

		private void button1_Click(object sender, EventArgs e)
		{
			SaveFileDialog dlg = new SaveFileDialog();
			dlg.Filter = "Excel 2007 (*.xlsx) |*.xlsx";
			dlg.DefaultExt = "xlsx";
			dlg.Title = "Test Export";
			if (dlg.ShowDialog() == System.Windows.Forms.DialogResult.OK)
			{
				Infragistics.Win.UltraWinGrid.ExcelExport.UltraGridExcelExporter exporter = new Infragistics.Win.UltraWinGrid.ExcelExport.UltraGridExcelExporter();
				exporter.Export(gridTest, dlg.FileName);
			}
		}
	}
}
